VisualEditor: Double-clicking on a node (image/template/reference/…) should open its dialog
Closed, ResolvedPublic

Description

Especially for templates, having a faster way to open the inspector would be very helpful. Right now in the case of a large template, you have to first select the template, then mouse over to the puzzle piece location and click it. Just double-clicking/tapping the template seems like a straightforward and discoverable gesture.

For links and other nodes it may be less important, but what would be the disadvantages for just making open-on-double-click the default behavior for all nodes that have a primary inspector of some kind?


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=54827

bzimport set Reference to bz50996.
Eloquence created this task.Via LegacyJul 9 2013, 1:35 AM
Jdforrester-WMF added a comment.Via ConduitJul 26 2013, 4:06 PM

I think this would work best for nodes (i.e., things that have a dialog) and not for annotations (i.e., things that are either toggled like bold or superscript, or have only an inspector link links or language).

This would be a lot simpler from a UX perspective (consistency of action and explainability), and the change overall is a good quick affordance win.

Jdforrester-WMF added a comment.Via ConduitJul 26 2013, 4:07 PM
  • Bug 51176 has been marked as a duplicate of this bug. ***
Elitre added a comment.Via ConduitSep 10 2013, 4:58 PM

Sherry and I would really second Erik's suggestion.
We just had feedback from a user who was clueless about what to do with "a blue rectangle with a jigsaw icon".

gerritbot added a comment.Via ConduitOct 30 2013, 1:21 PM

Change 84461 had a related patch set uploaded by Krinkle:
WIP: Create ve.ce.ClickableNode mixin.

https://gerrit.wikimedia.org/r/84461

gerritbot added a comment.Via ConduitDec 20 2013, 11:24 PM

Change 103062 had a related patch set uploaded by Robmoen:
Create mixin for node that responds to node click events

https://gerrit.wikimedia.org/r/103062

gerritbot added a comment.Via ConduitDec 20 2013, 11:28 PM

Change 84461 abandoned by Robmoen:
WIP: Create ve.ce.ClickableNode mixin

Reason:
old

https://gerrit.wikimedia.org/r/84461

gerritbot added a comment.Via ConduitMar 20 2014, 12:15 AM

Change 103062 merged by jenkins-bot:
Create mixin that tries to execute primary node command

https://gerrit.wikimedia.org/r/103062

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.